{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
 <div class="col-sm-8">
   <h4 class="page-title">Quotations</h4>
 </div>
 <div class="col-sm-4 text-right m-b-30">
   {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.create_quotation') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i> Create New Quotation</a>{% endif %}
 </div>
</div>
<div class="row">
 <div class="col-md-12">
   <div class="table-responsive" id="alert">
     <table id="newtab" class="table table-striped custom-table datatable">
       <thead>
         <tr>
           <th>#</th>
           <th>Quotation number</th>
           <th>quotation name</th>
           <th>Client id</th>
           <th>Created Date</th>
           <th>Amount</th>
           <th>invoice</th>
           <th class="text-right">Action</th>
         </tr>
       </thead>
       <tbody id="tab">
         {% for quotation in quotations %}

         <tr id="del{{ quotation.id }}">
           <td>{{ loop.index }}</td>
           <td>{% if current_user.role.permissions.read_inventory == True %} <a href="{{ url_for('main.view_quotation', id=quotation.id) }}">{{ quotation.quotation_no }}</a> {%else%} {{ quotation.quotation_no }} {% endif %}</td>
           <td>{{ quotation.quotation_name }}</td>
           <td>{{ quotation.client.client_name }}</td>
           <td>{{ moment(quotation.quotation_date).format("MMM Do YYYY") }}</td>
           <td>{{ quotation.amount }}</td>
           <td>{% if quotation.invoice %}
                    <a href="{{ url_for('main.view_invoice', id= quotation.invoice.id) }}"><i class="fa fa-eye m-r-5"></i>View invoice</a>
                    {% else %}
                    <span id="invoice{{ quotation.id }}">
                        <a href="javascript:generate(
                                '{{ quotation.id }}',
                                '#invoice{{ quotation.id }}');"><i class="fa fa-plus-circle"></i> Generate invoice
                        </a>
                    </span>
                    {% endif %}
          </td>
           <td class="text-right">
             <div class="dropdown">
               <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
               <ul class="dropdown-menu pull-right">
                 {% if current_user.role.permissions.write_inventory == True %}<li><a href="{{ url_for('main.edit_quotation', id=quotation.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
                 {% if current_user.role.permissions.read_inventory == True %}<li><a href="{{ url_for('main.view_quotation', id=quotation.id) }}"><i class="fa fa-eye m-r-5"></i> View</a></li>{% endif %}
                 {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ quotation.id }}','Quotation', '#del{{ quotation.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li>{% endif %}
               </ul>
             </div>
           </td>
         </tr>

         	{% endfor %}
      </tbody>

     </table>
   </div>
 </div>
</div>
     </div>
{% endblock %}

{% block scripts %}
  {{ super() }}
  <script>
  function generate(id, destElem) {
          alertify.prompt('Input (date):').set('type', 'date');
          alertify.prompt( 'Due date','Choose due date', 'Prompt Value', function(evt, value) {
            $(destElem).html('<img src="{{ url_for('static', filename='img/loading.gif') }}">');
            $.post('/admin/create_invoice', {
                id: id,
                due_date: value
            }).done(function(response) {
              if(response['status'] == 1)
                var id= response['id'];
                $(destElem).html('<a href="/admin/view_invoice/'+id+'"><i class="fa fa-eye m-r-5"></i>View invoice</a>')
            }).fail(function() {
                $(destElem).text("{{ _('Error: Could not contact server.') }}");
            });
          }
               , function() { alertify.error('Cancel') });

      }

  </script>
{% endblock %}
